Bug 175420 - OSError from NamedConf.read mishandled in load method
OSError from NamedConf.read mishandled in load method
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-09 19:08 EST by Lloyd Kvam
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-17 06:42:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lloyd Kvam 2005-12-09 19:08:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
named.conf had an include statement include "internal.conf"; that was not found.

NamedConf.load mishandled the exception instance returned from the read method.
I've enclosed my method for fixing the problem.

NamedConf.load (near line 315)
                    e = self.read(self.files[i]['file'])
                    if e != 0:
                        self.errors.append(str(e))  # was self.errors = e
                        return e


Version-Release number of selected component (if applicable):
system-config-bind-4.0.0-31

How reproducible:
Always

Steps to Reproduce:
1.Need an include statement in named.conf that read method won't find
2.
3.
  

Actual Results:  Taceback is shown below

Expected Results:  gui screen should have appeared.

Additional info:

system-config-bind
Traceback (most recent call last):
  File "/usr/sbin/system-config-bind", line 191, in ?
    GUI(sys.argv)
  File "/usr/sbin/system-config-bind", line 91, in __init__
    self.bind=BIND(self, argv)
  File "/usr/share/system-config-bind/BIND.py", line 80, in __init__
    gui.error(_('DNS Configuration File %s Initialisation Error:') % self.nmdc.f iles[0]['file'] , string.join(self.nmdc.errors,"\n"),True)
  File "/usr/lib/python2.3/string.py", line 135, in join
    return sep.join(words)
TypeError: sequence item 0: expected string, int found
Comment 1 Jason Vas Dias 2005-12-19 20:52:39 EST
This problem is now fixed with system-config-bind-4.0.0-33 (FC3) and 
system-config-bind-4.0.0-33_FC4  - thanks!
Comment 2 Fedora Update System 2005-12-19 22:02:09 EST
From User-Agent: XML-RPC

system-config-bind-4.0.0-33 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2005-12-19 22:02:33 EST
From User-Agent: XML-RPC

system-config-bind-4.0.0-33_FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Matthew Miller 2006-07-10 17:11:20 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Martin Stransky 2006-08-17 06:42:49 EDT
Please reopen if this problem still persist.

Note You need to log in before you can comment on or make changes to this bug.